- Qt 6.6
- Qt Graphs
- C++ Classes
- QtGraphs (Technical Preview)
- QAbstractDataProxy
- Qt Graphs | Commercial or GPLv3

# QAbstractDataProxy Class

The QAbstractDataProxy class is a base class for all graphs proxies. More...

Header: | #include <QAbstractDataProxy>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Graphs) target_link_libraries(mytarget PRIVATE Qt6::Graphs)
qmake: | QT += graphs
Instantiated By: | AbstractDataProxy
Inherits: | QObject
Inherited By: | QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy
Status: | Technical Preview

- List of all members, including inherited members

## Public Types

enum | DataType { DataTypeNone, DataTypeBar, DataTypeScatter, DataTypeSurface }

## Properties

- type : const QAbstractDataProxy::DataType

## Public Functions

virtual | ~QAbstractDataProxy()
QAbstractDataProxy::DataType | type() const

## Detailed Description

The following graphs type specific inherited classes are used instead of the base class: QBarDataProxy, QScatterDataProxy, and QSurfaceDataProxy.

For more information, see Qt Graphs Data Handling.

## Member Type Documentation

### enum QAbstractDataProxy::DataType

This enum type specifies the data type of the proxy.

Constant | Value | Description
--- | --- | ---
`QAbstractDataProxy::DataTypeNone` | `0` | No data type.
`QAbstractDataProxy::DataTypeBar` | `1` | Data type for Q3DBars.
`QAbstractDataProxy::DataTypeScatter` | `2` | Data type for Q3DScatter.
`QAbstractDataProxy::DataTypeSurface` | `4` | Data type for Q3DSurface.

## Property Documentation

### `[read-only]` type : const QAbstractDataProxy::DataType

This property holds the data type of the proxy.

Access functions:

QAbstractDataProxy::DataType | type() const

## Member Function Documentation

### `[virtual noexcept]` QAbstractDataProxy::~QAbstractDataProxy()

Deletes the abstract data proxy.